import { Router, CanActivate, ActivatedRoute, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { AppConfigService } from '../app-config/app-config.service';
import { B2bService } from '../_services/b2b.service';
export declare class PermissionGuard implements CanActivate {
    router: Router;
    private route;
    private dataservice;
    private appConfigService;
    config: any;
    constructor(router: Router, route: ActivatedRoute, dataservice: B2bService, appConfigService: AppConfigService);
    canActivate(next: ActivatedRouteSnapshot, state: RouterStateSnapshot): any;
    getPermission(next: any): Promise<boolean>;
    checkSession(userMessage: any): void;
    getUrlPath(url: any): any;
    getConfigByUrl(path: any): any;
}
