import { OnInit, EventEmitter, AfterViewInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Common } from '../_services/common.service';
import 'devextreme-intl';
export declare class SocDateBoxComponent implements ControlValueAccessor, OnInit, AfterViewInit {
    private common;
    id: string;
    width: string;
    type: string;
    value: any;
    max: any;
    min: any;
    acceptCustomValue: boolean;
    maxZoomLevel: string;
    minZoomLevel: string;
    valueChange: EventEmitter<string>;
    openOnFieldClick: boolean;
    disabled: boolean;
    interval: number;
    showAnalogClock: boolean;
    format: {
        formatter: (date: any) => string;
        parser: (date: any) => Date;
    };
    constructor(common: Common);
    ngOnInit(): Promise<void>;
    ngAfterViewInit(): void;
    onOpened(): void;
    onValueChanged(e: any): void;
    /** START Bind Value */
    onModelChange: Function;
    onModelTouched: Function;
    writeValue(value: any): void;
    registerOnChange(fn: Function): void;
    registerOnTouched(fn: Function): void;
}
export declare class SharedDateBoxModule {
}
