import { EventEmitter, OnInit } from '@angular/core';
import { ModalOptions, ModalDirective } from 'ngx-bootstrap';
import { AppConfigService } from '../app-config/app-config.service';
import { Request } from '../_services/request.service';
import { Common } from '../_services/common.service';
import { FormBuilder, FormGroup, AbstractControl } from '@angular/forms';
import { UploadAttachmentComponent } from '../upload-attachment/upload-attachment.component';
declare class Options {
    /** title ที่ต้องการแสดง */
    title?: String;
    /** data */
    data: any;
    mode: any;
    downloadToken: any;
    /** name ที่ต้องการแสดง */
    config: any;
}
export declare class ModalAttachmentViewComponent extends Options implements OnInit {
    private appConfigService;
    private request;
    private formBuilder;
    common: Common;
    isImage: boolean;
    onModalCreateSubmit: EventEmitter<{}>;
    onModalEditSubmit: EventEmitter<{}>;
    modal: ModalDirective;
    uploadAttachment: UploadAttachmentComponent;
    registerForm: FormGroup;
    control: AbstractControl;
    submitted: boolean;
    title: any;
    selectList: any;
    modalConfig: ModalOptions;
    th: any;
    isMore: boolean;
    moreField: any;
    config: any;
    attachmentData: any;
    tmpData: any;
    filteredDepartments: any;
    departmentList: any;
    attachmentUrl: any;
    disabledForm: boolean;
    isOpen: boolean;
    constructor(appConfigService: AppConfigService, request: Request, formBuilder: FormBuilder, common: Common);
    ngOnInit(): void;
    open(options?: Options): Promise<void>;
    f(): {
        [key: string]: AbstractControl;
    };
    closeModal(): void;
    onYesClick(modal: any): void;
    onNoClick(modal: any): void;
    onHidden($event: ModalDirective): void;
    checkExtraField(): Promise<void>;
    onCellPrepared(e: any): void;
    addField(data: any, required: any): void;
    getValidateMoreField(i: any, field: any, validateType?: any): any;
    getRowIndex(data: any): any;
    onSubmit(): Promise<void>;
    onUploaded(data: any): void;
    clickUrl(): Promise<void>;
    getImageLink(data: any): string;
}
export {};
