import { EventEmitter, OnInit } from '@angular/core';
import { Request } from '../_services/request.service';
import { Common } from '../_services/common.service';
import { UploadXHRArgs } from 'ng-zorro-antd';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Subscription } from 'rxjs/Rx';
import { ModalDirective } from 'ngx-bootstrap';
import { AppConfigService } from '../app-config/app-config.service';
export declare class ModalImageUploadComponent implements OnInit {
    private appConfigService;
    private request;
    common: Common;
    private http;
    modal: ModalDirective;
    upLoadType: any;
    systemId: any;
    RelatedAgency: any;
    RecordId: any;
    Subject: any;
    TypeId: any;
    downloadToken: any;
    popupTitle: string;
    uploaded: EventEmitter<{}>;
    onSubmit: EventEmitter<{}>;
    fileList: any;
    uploadHeaders: any;
    loading: boolean;
    avatarUrl: string;
    data: any;
    config: any;
    url: any;
    constructor(appConfigService: AppConfigService, request: Request, common: Common, http: HttpClient);
    ngOnInit(): void;
    onUploaded(file: any): void;
    beforeUpload: (file: any, _fileList: any) => Observable<{}>;
    customReq: (item: UploadXHRArgs) => Subscription;
    clearValue(): void;
    closeModal(): void;
    clickSubmit(): void;
}
