import { EventEmitter, OnInit } from '@angular/core';
import { Request } from '../_services/request.service';
import { Common } from '../_services/common.service';
import { HttpClient } from '@angular/common/http';
import { ModalDirective } from 'ngx-bootstrap';
import { AppConfigService } from '../app-config/app-config.service';
export declare class ModalSpellCheckComponent implements OnInit {
    private appConfigService;
    private request;
    common: Common;
    private http;
    modal: ModalDirective;
    onSave: EventEmitter<{}>;
    objectKeys: (o: {}) => string[];
    config: any;
    spellCheck: any;
    model: any;
    enableList: any;
    isEdit: boolean;
    constructor(appConfigService: AppConfigService, request: Request, common: Common, http: HttpClient);
    ngOnInit(): void;
    open(data?: any): Promise<void>;
    closeModal(): void;
    enableEdit(i: any): void;
    saveModal(): void;
}
