import { EventEmitter, OnInit } from '@angular/core';
import { ModalOptions, ModalDirective } from 'ngx-bootstrap';
import { Common } from '../_services/common.service';
import { Request } from '../_services/request.service';
export declare class ModalStepViewComponent implements OnInit {
    private request;
    common: Common;
    onUpdateModal: EventEmitter<{}>;
    modal: ModalDirective;
    submitted: boolean;
    title: any;
    selectList: any;
    list: any;
    modalConfig: ModalOptions;
    th: any;
    selectedStep: any;
    isMore: boolean;
    moreField: any;
    config: any;
    stepData: any;
    lastStep: string;
    stepName: string;
    isSend: boolean;
    isRecieve: boolean;
    sendList: any;
    recieveList: any;
    downloadToken: any;
    constructor(request: Request, common: Common);
    ngOnInit(): void;
    open(options?: any): Promise<void>;
    closeModal(): void;
    getFieldId(data: any): string;
    getRowIndex(data: any): any;
    onCellPrepared(e: any): void;
    isImportant(data: any): "" | "สำคัญ";
    getImageLink(data: any): string;
}
