import { EventEmitter, OnInit } from '@angular/core';
import { ModalOptions, ModalDirective } from 'ngx-bootstrap';
import { AppConfigService } from '../app-config/app-config.service';
import { Request } from '../_services/request.service';
import { Common } from '../_services/common.service';
import { FormBuilder, FormGroup, AbstractControl } from '@angular/forms';
import { DxDataGridComponent } from 'devextreme-angular';
import { DateService } from '../_services/date.service';
import { UploadAttachmentComponent } from '../upload-attachment/upload-attachment.component';
import { B2bService } from '../_services/b2b.service';
declare class Options {
    /** title ที่ต้องการแสดง */
    title?: String;
    /** data */
    data: any;
}
export declare class ModalStepComponent extends Options implements OnInit {
    private appConfigService;
    private request;
    private formBuilder;
    common: Common;
    date: DateService;
    b2bService: B2bService;
    onUpdateModal: EventEmitter<{}>;
    modal: ModalDirective;
    myModal: any;
    sendModal: ModalDirective;
    recieveModal: ModalDirective;
    dxDataGridStepSendList: DxDataGridComponent;
    uploadAttachment: UploadAttachmentComponent;
    registerForm: FormGroup;
    sendForm: FormGroup;
    recieveForm: FormGroup;
    submitted: boolean;
    submittedSend: boolean;
    submittedRecieve: boolean;
    title: any;
    selectList: any;
    sendList: any;
    recieveList: any;
    modalConfig: ModalOptions;
    th: any;
    selectedStep: any;
    isMore: boolean;
    moreField: any;
    config: any;
    stepData: any;
    sendData: any;
    recieveData: any;
    lastStep: string;
    isSend: boolean;
    isRecieve: boolean;
    isEditSend: boolean;
    isEditRecieve: boolean;
    tmpData: any;
    filteredDepartments: any;
    departmentList: any;
    departmentUrl: string;
    causeUrl: string;
    causeFilter: string;
    tempId: number;
    attachmentUrl: any;
    system_id: any;
    filter_ref_ext_department_id: any;
    filter_ref_ext_department_id_show: boolean;
    constructor(appConfigService: AppConfigService, request: Request, formBuilder: FormBuilder, common: Common, date: DateService, b2bService: B2bService);
    ngOnInit(): void;
    open(options?: Options): Promise<void>;
    f(): {
        [key: string]: AbstractControl;
    };
    fs(): {
        [key: string]: AbstractControl;
    };
    fr(): {
        [key: string]: AbstractControl;
    };
    closeModal(): void;
    closeSendModal(): void;
    closeRecieveModal(): void;
    onYesClick(modal: any): void;
    onNoClick(modal: any): void;
    onHidden($event: ModalDirective): void;
    valueSeleteMinistry(value: any): void;
    valueSeleteDeptName(value: any): void;
    checkExtraField(): Promise<void>;
    getFieldId(data: any): string;
    addField(data: any, required: any): void;
    getValidateMoreField(i: any, field: any, validateType?: any): any;
    getRowIndex(data: any): any;
    onCellPrepared(e: any): void;
    addSend(): void;
    editSend(data: any): void;
    editRecieve(data: any): void;
    filterDepartments(event: any): void;
    onSubmit(): Promise<void>;
    getStepList(): Promise<any>;
    onClickBack(): void;
    onSubmitSend(): Promise<void>;
    onSubmitRecieve(): Promise<void>;
    isImportant(data: any): "" | "สำคัญ";
    onUploaded(data: any): void;
    checkDisable(field: any): boolean;
    getImageLink(data: any): Promise<string>;
}
export {};
