import { OnDestroy, OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { Subscription } from 'rxjs';
import { SocLoadingService } from './soc-loading.service';
export declare class SocLoadingComponent implements OnDestroy, OnInit, OnChanges {
    private spinnerService;
    bdColor: string;
    size: string;
    color: string;
    type: string;
    fullScreen: boolean;
    spinnerClass: string;
    showSpinner: boolean;
    spinnerSubscription: Subscription;
    divArray: Array<number>;
    divCount: number;
    constructor(spinnerService: SocLoadingService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getClass(type?: string, size?: string): string;
    onInputChange(): void;
    hideSpinner(): void;
    ngOnDestroy(): void;
}
