import { OnInit } from '@angular/core';
import { AppConfigService } from '../app-config/app-config.service';
import { DxDataGridComponent } from 'devextreme-angular';
import { Request } from '../_services/request.service';
import { Common } from '../_services/common.service';
import { ModalStepViewComponent } from '../modal-step-view/modal-step-view.component';
import { B2bService } from '../_services/b2b.service';
export declare class StepListComponent implements OnInit {
    private appConfigService;
    private request;
    common: Common;
    private b2b;
    mode: 'CREATE' | 'EDIT' | 'VIEW';
    option: any;
    dxDataGridStepList: DxDataGridComponent;
    modalStepView: ModalStepViewComponent;
    columns: string[];
    stepList: any;
    th: any;
    dxgridPageSize: number;
    allowedPageSizes1: number;
    allowedPageSizes2: number;
    allowedPageSizes3: number;
    allowedPageSizes4: number;
    customers: any[];
    url: any;
    lastStep: string;
    config: any;
    downloadToken: any;
    constructor(appConfigService: AppConfigService, request: Request, common: Common, b2b: B2bService);
    ngOnInit(): void;
    getStepList(): Promise<void>;
    addStepList(data: any): void;
    getRowIndex(data: any): any;
    view(data: any): void;
    getLastStep(): string;
    onCellPrepared(e: any): void;
}
