import { EventEmitter, OnInit } from '@angular/core';
import { AppConfigService } from '../app-config/app-config.service';
import { Http } from '@angular/http';
import { Request } from '../_services/request.service';
import { Common } from '../_services/common.service';
import { NgForm } from '@angular/forms';
import { UploadXHRArgs } from 'ng-zorro-antd';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Subscription } from 'rxjs/Rx';
import { Observable } from 'rxjs';
export declare class UploadAttachmentComponent implements OnInit {
    private appConfigService;
    private request;
    common: Common;
    private http;
    _http: Http;
    form: NgForm;
    upLoadType: any;
    systemId: any;
    RelatedAgency: any;
    RecordId: any;
    Subject: any;
    TypeId: any;
    onlyImage: boolean;
    uploaded: EventEmitter<{}>;
    fileList: any;
    fileNameLink: string;
    fileNameLinkError: string;
    QrCodeFileName: string;
    fileNameQr: string;
    fileNameLinkQr: string;
    fileNameQrError: string;
    filter: any;
    uploadHeaders: any;
    config: any;
    url: any;
    uploadUrl: any;
    qr: any;
    isLoading: boolean;
    isDisabled: boolean;
    constructor(appConfigService: AppConfigService, request: Request, common: Common, http: HttpClient, _http: Http);
    ngOnInit(): void;
    uploadLinkQr(): void;
    btnUpload(): void;
    onQrCodeChange(): void;
    onUploaded(file: any): void;
    onSelected(e: any): void;
    createAuthorizationHeader: (headers: HttpHeaders) => void;
    beforeUpload: (file: any, _fileList: any) => Observable<{}>;
    customReq: (item: UploadXHRArgs) => Subscription;
    onChange(data: any): void;
    clearValue(): void;
}
