import { OnInit, ElementRef, AfterViewInit, EventEmitter } from '@angular/core';
import { Router } from '@angular/router';
import { DxDataGridComponent } from 'devextreme-angular';
export declare class CreateAlertComponent implements OnInit, AfterViewInit {
    private router;
    constructor(router: Router);
    dataGrid: DxDataGridComponent;
    gridExport: DxDataGridComponent;
    gridAlertValidExcel: DxDataGridComponent;
    gridAlertErrorExcel: DxDataGridComponent;
    gridAdvance: DxDataGridComponent;
    modalSuccess: ElementRef;
    modalSuccessWarning: ElementRef;
    modalDelete: ElementRef;
    modalConfirm: ElementRef;
    modalDeleteAttachment: ElementRef;
    modalDeleteWarning: ElementRef;
    modalSuccessDelete: ElementRef;
    modalEditSuccess: ElementRef;
    modalWarning: ElementRef;
    myModalReportWarning: ElementRef;
    modalError: ElementRef;
    modalViewWarning: ElementRef;
    modalProgressBarWarning: ElementRef;
    modalUploadImageWarning: ElementRef;
    modalUploadImageTypeWarning: ElementRef;
    modalWarningNoTextSearch: ElementRef;
    modalErrorDataExisted: ElementRef;
    modalErrorDeleteButHaveMenuGroup: ElementRef;
    modalAddVOutlook: ElementRef;
    modalAddMVara: ElementRef;
    userMessage: any;
    dataText: any;
    dxgridPageSize: any;
    failDescription: any;
    percent: number;
    buttonText: string;
    onCloseModalError: EventEmitter<{}>;
    onOkDelete: EventEmitter<{}>;
    onOkConfirm: EventEmitter<{}>;
    onCancelDelete: EventEmitter<{}>;
    onCancelConfirm: EventEmitter<{}>;
    onOkDeleteAttachment: EventEmitter<{}>;
    onCancelDeleteAttachment: EventEmitter<{}>;
    onClickBack: EventEmitter<{}>;
    onCancelViewWarning: EventEmitter<{}>;
    onCancelUploadValid: EventEmitter<{}>;
    onDataErrorExcel: EventEmitter<{}>;
    onClickExport: EventEmitter<{}>;
    onClickDeleteExport: EventEmitter<{}>;
    onOkClone: EventEmitter<{}>;
    onOkReport: EventEmitter<{}>;
    onCancelClone: EventEmitter<{}>;
    onOkDiagramCancel: EventEmitter<{}>;
    onCancelDiagramCancel: EventEmitter<{}>;
    onCancelAddVOutlook: EventEmitter<{}>;
    onOkAddVOutlook: EventEmitter<{}>;
    onCancelAddMVara: EventEmitter<{}>;
    onOkAddMVara: EventEmitter<{}>;
    ngOnInit(): void;
    ngAfterViewInit(): Promise<void>;
    openModal(data: any): void;
    closeModal(modalId: any): void;
    showStringValidDataExcel(data: any): string;
    showStringErrorDataExcel(failDescription: any): string;
    closeProgressbar(): void;
    onOkDeleteModal(): void;
    onOkConfirmModal(): void;
    onOkDeleteAttachmentModal(): void;
    onOkReportModal(): void;
    onCancelDeleteModal(): void;
    onCancelConfirmModal(): void;
    onCancelDeleteAttachmentModal(): void;
    onClickBackModal(): void;
    onCancelViewWarningModal(): void;
    onCancelUploadValidModal(): void;
    onDataErrorExcelModal(): void;
    onCloseModalErrorModal(): void;
    onCancelCloneModal(): void;
    onCancelAddVOutlookModal(): void;
    onOkAddVOutlookModal(): void;
    onCancelAddMVaraModal(): void;
    onOkAddMVaraModal(): void;
    onCancelDiagramCancelModal(): void;
}
export declare class CreateAlertModule {
}
