import { OnInit, EventEmitter } from '@angular/core';
import { AppConfigService } from '../app-config/app-config.service';
import { DxDataGridComponent } from 'devextreme-angular';
import { Request } from '../_services/request.service';
import { Common } from '../_services/common.service';
import { ModalAttachmentComponent } from '../modal-attachment/modal-attachment.component';
import { CreateAlertComponent } from '../alert/alert.component';
import { B2bService } from '../_services/b2b.service';
import { ModalAttachmentViewComponent } from '../modal-attachment-view/modal-attachment-view.component';
export declare class AttachmentListComponent implements OnInit {
    private appConfigService;
    private request;
    private common;
    private b2b;
    mode: 'CREATE' | 'EDIT' | 'VIEW';
    type: number;
    option: any;
    showImage: boolean;
    alertModal: CreateAlertComponent;
    attachmentModal: ModalAttachmentComponent;
    attachmentViewModal: ModalAttachmentViewComponent;
    onLoaded: EventEmitter<{}>;
    onClickScan: EventEmitter<{}>;
    onClickDelete: EventEmitter<{}>;
    dxDataGridAttachmentList: DxDataGridComponent;
    modalAttachment: ModalAttachmentComponent;
    modalAttachmentView: ModalAttachmentViewComponent;
    myModal: any;
    columns: string[];
    attachmentList: any;
    th: any;
    dxgridPageSize: number;
    allowedPageSizes1: number;
    allowedPageSizes2: number;
    allowedPageSizes3: number;
    allowedPageSizes4: number;
    customers: any[];
    url: any;
    lastStep: string;
    config: any;
    deleteIdList: any[];
    dsAttachment: any[];
    selectedAttachment: any[];
    tmpId: number;
    classifieds: number;
    downloadToken: any;
    username_caption: string;
    constructor(appConfigService: AppConfigService, request: Request, common: Common, b2b: B2bService);
    ngOnInit(): Promise<void>;
    getAttachmentList(): Promise<void>;
    addAttachmentList(data: any): void;
    editAttachmentList(data: any): void;
    getRowIndex(data: any): any;
    clickAdd(): void;
    clickEdit(data: any): void;
    clickView(data: any): void;
    clickMoveUp(data: any): void;
    clickMoveDown(data: any): void;
    clickDownload(data: any): Promise<void>;
    getLastStep(): string;
    /** START DELETE */
    fnClickDelete(idList: any[]): void;
    confirmDelete(): void;
    goAlert(userTitle: any, userMessage: any, modalId: any): void;
    onCellPrepared(e: any): void;
    fnDeleteMultiple(): Promise<void>;
    onClickBack(): void;
    getImageLink(data: any): string;
    scan(): void;
}
