import { OnInit } from '@angular/core';
import { AppConfigService } from '../app-config/app-config.service';
import { DxDataGridComponent } from 'devextreme-angular';
import { Request } from '../_services/request.service';
import { Common } from '../_services/common.service';
import { ModalStepViewComponent } from '../modal-step-view/modal-step-view.component';
import { ModalDirective } from 'ngx-bootstrap';
import { FormBuilder, FormGroup, AbstractControl } from '@angular/forms';
import { B2bService } from '../_services/b2b.service';
export declare class SentListComponent implements OnInit {
    private appConfigService;
    private request;
    common: Common;
    private formBuilder;
    private b2b;
    mode: 'CREATE' | 'EDIT' | 'VIEW';
    option: any;
    dxDataGridSentList: DxDataGridComponent;
    modalStepView: ModalStepViewComponent;
    recieveModal: ModalDirective;
    sentList: any;
    th: any;
    dxgridPageSize: number;
    allowedPageSizes1: number;
    allowedPageSizes2: number;
    allowedPageSizes3: number;
    allowedPageSizes4: number;
    customers: any[];
    url: any;
    lastStep: string;
    config: any;
    recieveData: any;
    tmpData: any;
    submittedRecieve: boolean;
    recieveForm: FormGroup;
    constructor(appConfigService: AppConfigService, request: Request, common: Common, formBuilder: FormBuilder, b2b: B2bService);
    ngOnInit(): void;
    fr(): {
        [key: string]: AbstractControl;
    };
    getSentList(): Promise<void>;
    getRowIndex(data: any): any;
    editRecieve(data: any): void;
    closeRecieveModal(): void;
    onSubmitRecieve(): Promise<void>;
    isImportant(data: any): "" | "สำคัญ";
    onCellPrepared(e: any): void;
}
